%global debug_package %{nil}

Summary:	A GIF to PNG converter
Name:		gif2png
Version:	2.5.11
Release:	6%{?dist}
License:	BSD
Group:		Applications/Multimedia
URL:		http://www.catb.org/~esr/gif2png/
Source0:	http://www.catb.org/~esr/gif2png/%name-%version.tar.gz
Source100:	test-0.gif
Source101:	test-1.gif
BuildRequires:  gcc
BuildRequires:	libpng-devel


%package -n web2png
Summary:	A GIF to PNG converter for entire directory hierarchies
Group:		Applications/Multimedia
Requires:	gif2png = %version-%release
Requires:	python2
BuildArch:	noarch


%description
The gif2png program converts files from the obsolescent Graphic Interchange
Format to Portable Network Graphics. The conversion preserves all graphic
information, including transparency, perfectly. The gif2png program can
even recover data from corrupted GIFs.

There exists a 'web2png' program in a separate package which is able
to convert entire directory hierarchies.


%description -n web2png
The gif2png program converts files from the obsolescent Graphic Interchange
Format to Portable Network Graphics. The conversion preserves all graphic
information, including transparency, perfectly. The gif2png program can
even recover data from corrupted GIFs.

The distribution also includes a Python script, web2png, that will
convert entire web hierarchies (images and HTML or PHP pages).


%prep
%setup -q


%build
%__make %{?_smp_mflags}


%install
make install prefix=${RPM_BUILD_ROOT}%{_prefix}


#disable tests for while
#%check
#P=./gif2png
#for i in %SOURCE100 %SOURCE101; do
#    rm -f _tmp.gif
#    install -p -m 0644 $i _tmp.gif
#    $P _tmp.gif
#    $P -f < "$i" > _tmp.png
#    $P -O -f < "$i" > _tmp.png
#done


%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*


%files -n web2png
%{_bindir}/web2png
%{_mandir}/man1/web2png*


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 05 2018 Iryna Shcherbina <ishcherb@redhat.com> - 2.5.11-4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 19 2017 Filipe Rosset <rosset.filipe@gmail.com> - 2.5.11-1
- Rebuilt to new upstream release, fixes rhbz#1368524 and rhbz#1423611

* Mon Jun 19 2017 Filipe Rosset <rosset.filipe@gmail.com> - 2.5.8-1809
- Spec cleanup

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.8-1808
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.8-1807
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.8-1806
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.8-1805
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.8-1804
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.8-1803
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.8-1802
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.8-1801
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr  3 2012 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.8-1800
- updated to 2.5.8
- removed -overflow and libpng15 patches; related issues are fixed
  upstream

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.4-1701
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec  6 2011 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.4-1700
- added patch for building with libpng15
- added %%check

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.5.4-1502
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.4-1501
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 24 2010 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.4-1500
- updated to 2.5.4

* Sun Nov  7 2010 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.3-1500
- updated to 2.5.3 (NOTE: breaks cmdline API by removal of '-t' option)

* Tue Jan  5 2010 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.2-1305
- catch another possible overflow when appending a numbered suffix
  (detected to Tomas Hoger)

* Sat Jan  2 2010 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.2-1304
- changed -overflow patch to abort on bad filenames instead of
  processing truncated ones

* Fri Jan  1 2010 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.2-1302
- fixed command line buffer overflow (#547515, CVE-2009-5018)

* Sat Nov 14 2009 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.2-1300
- updated to 2.5.2
- removed Debian patches; issues are addressed by new upstream release
- set '-Wl,--as-needed' LDFLAGS

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar  1 2009 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.1-6
- made web2png noarch

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.5.1-4
- Autorebuild for GCC 4.3

* Fri Sep 15 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.1-3
- added Debian patchset to make it build with current libpng

* Sat Feb 18 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.1-2
- rebuilt for FC5

* Tue Jul  5 2005 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.1-1
- Initial build.
